From DFarnsworth@Ashleyfurniture.com Tue, 05 Feb 2002 11:14:17 -0800
From: "Farnsworth, Dave" <DFarnsworth@Ashleyfurniture.com>
Date: Tue, 05 Feb 2002 11:14:17 -0800
Subject: RE: export/import on the same server
Message-ID: <F001.00406824.20020205105524@fatcity.com>
MIME-Version: 1.0
Content-Type: text/plain


Thanks to everyone for their help.  Since these are the same schema I
see no reason why to do a full import.  Anyway, I am in learning mode
and need to learn about possible parameters to use.  I am going to do an
owner import from my full export file since I only need a few of the
owners schema's.  I'll first creat my PARFILE like

FILE=C:\my_export_file.dmp
FROMUSER=(dorkboy,geekgirl,sheep_lover,monkey_spanker)
GRANTS=Y
INDEXES=Y


Then do a

SET ORACLE_SID=my_test_db

then

IMP my_login/my_dirty_pwd parfile=my_parfile.dat

My login to test is different from my live database login so I should be
covered there.  Does this look like it will work so that it will not try
to write to the datafiles of my live database?  Remember, the file I am
importing into my test database is an export from my live database which
both reside on the same server but have their data on different drives.

Thanks much everyone,

Dave

-----Original Message-----
Sent: Tuesday, February 05, 2002 10:10 AM
To: Multiple recipients of list ORACLE-L


unless I am misreading the 9i docs (see below) this has nothing to do
with transportable tablespaces

If you use DESTROY=Y and a full database import, Oracle will overwrite
the datafiles as defined in the create tablespace statement that is in
the dump file. It's the equivalent of issuing:

create tablespace <tbsname> datafile '<prod file name>' reuse;

>From the 9i Utilities manual:

"Specifies whether or not the existing datafiles making up the database
should be reused. That is, specifying DESTROY=y causes Import to
include the REUSE option in the datafile clause of the CREATE
TABLESPACE statement, which causes Import to reuse the original
database's datafiles after deleting their contents. 

Note that the export file contains the datafile names used in each
tablespace. If you specify DESTROY=y and attempt to create a second
database on the same system (for testing or other purposes), the Import
utility will overwrite the first database's datafiles when it creates
the tablespace. In this situation you should use the default,
DESTROY=n, so that an error occurs if the datafiles already exist when
the tablespace is created. Also, when you need to import into the
original database, you will need to specify IGNORE=y to add to the
existing datafiles without replacing them. "



--- _ <adary@mehish.co.il> wrote:
> Hello Dave
> 
> I checked the docs.
> It seems to me that destroy is associated with transport_tablespaces.
> If you transport tablespaces destroy=y means overwrite old data files
> with the same name.
> 
> In regular import the @database set the target database.
> 
> Yechiel Adar, Mehish Computer Services
> adary@mehish.co.il
> 
> > -----Original Message-----
> > From:       Farnsworth, Dave [SMTP:DFarnsworth@Ashleyfurniture.com]
> > Sent:       Tue, February 05, 2002 4:21 PM
> > To: Multiple recipients of list ORACLE-L
> > Subject:    export/import on the same server
> > 
> > I have a question on the export/import utility.  I have my
> live(PROD)
> > and test(TEST) databases are on the same server.  These are
> basically
> > the same schemas except that the data in TEST is old and that the
> > datafiles for PROD are on I: drive and the datafiles for TEST are
> on E:
> > drive.
> > My question is, since these are on the same server do I have to
> worry
> > about which data files will be written to during the import.  For
> > example;
> > I do a full export of my PROD database.  When I do my import into
> my
> > TEST database will the data automatically go to E: drive or will it
> > still be pointing to I: drive?  I am reading the Import section of
> the
> > fine manual but am a bit confused on the datafiles part of it when
> doing
> > a full export/import.  Do I need to use the DESTROY=N parameter?
> > I am new to this utility but want to learn it.  I am reading the
> manuals
> > and some other reading material but still am not clear on this.  I
> do
> > not want it to start overwriting my live data.  That is not good
> for job
> > security.
> > 
> > Thanks,
> > 
> > Dave
> > -- 
> > Please see the official ORACLE-L FAQ: http://www.orafaq.com
> > -- 
> > Author: Farnsworth, Dave
> >   INET: DFarnsworth@Ashleyfurniture.com
> > 
> > Fat City Network Services    -- (858) 538-5051  FAX: (858) 538-5051
> > San Diego, California        -- Public Internet access / Mailing
> Lists
> >
> --------------------------------------------------------------------
> > To REMOVE yourself from this mailing list, send an E-Mail message
> > to: ListGuru@fatcity.com (note EXACT spelling of 'ListGuru') and in
> > the message BODY, include a line containing: UNSUB ORACLE-L
> > (or the name of mailing list you want to be removed from).  You may
> > also send the HELP command for other information (like
> subscribing).
> > -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
> >  This e-mail was scanned by the eSafe Mail Gateway 
> > -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
> 
> -- 
> Please see the official ORACLE-L FAQ: http://www.orafaq.com
> -- 
> Author: =?iso-8859-8?Q?=E0=E3=F8_=E9=E7=E9=E0=EC?=
>   INET: adary@mehish.co.il
> 
> Fat City Network Services    -- (858) 538-5051  FAX: (858) 538-5051
> San Diego, California        -- Public Internet access / Mailing
> Lists
> --------------------------------------------------------------------
> To REMOVE yourself from this mailing list, send an E-Mail message
> to: ListGuru@fatcity.com (note EXACT spelling of 'ListGuru') and in
> the message BODY, include a line containing: UNSUB ORACLE-L
> (or the name of mailing list you want to be removed from).  You may
> also send the HELP command for other information (like subscribing).


__________________________________________________
Do You Yahoo!?
Send FREE Valentine eCards with Yahoo! Greetings!
http://greetings.yahoo.com
-- 
Please see the official ORACLE-L FAQ: http://www.orafaq.com
-- 
Author: Rachel Carmichael
  INET: wisernet100@yahoo.com

Fat City Network Services    -- (858) 538-5051  FAX: (858) 538-5051
San Diego, California        -- Public Internet access / Mailing Lists
--------------------------------------------------------------------
To REMOVE yourself from this mailing list, send an E-Mail message
to: ListGuru@fatcity.com (note EXACT spelling of 'ListGuru') and in
the message BODY, include a line containing: UNSUB ORACLE-L
(or the name of mailing list you want to be removed from).  You may
also send the HELP command for other information (like subscribing).
--
Please see the official ORACLE-L FAQ: http://www.orafaq.com
--
Author: Farnsworth, Dave
  INET: DFarnsworth@Ashleyfurniture.com

Fat City Network Services    -- (858) 538-5051  FAX: (858) 538-5051
San Diego, California        -- Public Internet access / Mailing Lists
--------------------------------------------------------------------
To REMOVE yourself from this mailing list, send an E-Mail message
to: ListGuru@fatcity.com (note EXACT spelling of 'ListGuru') and in
the message BODY, include a line containing: UNSUB ORACLE-L
(or the name of mailing list you want to be removed from).  You may
also send the HELP command for other information (like subscribing).




